{
    "id": "com.mattermost.bathroom",
    "name": "Bathroom Monitor",
    "server": {
        "executable": "bathroom-linux-amd64"
    },
    "webapp": {
	"bundle_path": "main.js"
    },
    "settings_schema": {
	"settings": [
		{"key":"NumDoors", "display_name":"Number of Door Sensors", "type":"text", "default":"1", "help_text":"How many Pis"},
#ifdef fsnotify
		{"key":"WatchPath", "display_name":"Pi status folder", "type":"text", "default":"./", "help_text":"Path to watch for doorX files updated from PHP"},
#else
		{"key":"KeyPath", "display_name":"Public key path", "type":"text", "default":"./", "help_text":"Path for public keys to server Pi requests"},
#endif
		{"key":"AdminUsers", "display_name":"Plugin admin users", "type":"text", "default":"", "help_text":"Space- or comma-separated list of users to notify with plugin debug message"},
		{"key":"PingInterval", "display_name":"Ping interval", "type":"text", "default":"", "help_text":"Send a ping every X seconds to keep websockets alive through nginx (leave blank for none)"},
		{"key":"DoorNames", "display_name":"Door names", "type":"text", "default":"", "help_text":"|-separated list of names of the office doors"},
		{"key":"InfoIcon", "display_name":"Info icon url", "type":"text", "default":"", "help_text":"(Relative) URL of the icon to display at the left before all the door icons"},
		{"key":"UnknownIcon", "display_name":"Unknown icon url", "type":"text", "default":"", "help_text":"(Relative) URL of the icon to display for doors without their status set yet"},
		{"key":"OpenIcon", "display_name":"Open icon url", "type":"text", "default":"", "help_text":"(Relative) URL of the icon to display for doors that are open"},
		{"key":"ClosedIcon", "display_name":"Closed icon url", "type":"text", "default":"", "help_text":"(Relative) URL of the icon to display for doors that are closed"}
	]
    }
}
